routes/web.php
<?php

//use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
|
*/

use Illuminate\Http\Request;

Route::get('/', function () {
    return redirect()->route('login');
});
Route::get('cekLogin', 'Auth\LoginController@cek')->name('cek.login');
Route::get('empty/email', function () {
    return cekEmail();
})->name('cekId');
Route::post('api/users/update/email', function () {
    DB::table('data_pribadi')->where('idp', useridp())->update(['email1' => request()->email]);
    DB::connection('loker')->table('data_pribadi')->where('idp', useridp())->update(['email1' => request()->email]);
    return response()->json(['status' => "success", 'data' => request()->email], 200);
})->name('api.update.email');
Route::post('api/login', 'ApiController@login')->name('sso.login');
Route::get('aja/logout', function () {
    session()->forget(['login', 'user']);
    return redirect()->route('login');
})->name('logout.aja');
Route::get('/tes', 'TesController@index');
Route::post('/tes', 'TesController@index');
Route::livewire('/users', 'user.index')->name('users.index');
Auth::routes(['register' => false]);
Route::get('/home', 'HomeController@index')->name('home');
Route::group(['middleware' => ['auth'], 'prefix' => 'admin'], function () {
    Route::resource('user', 'UsersController');
    Route::post('user/api', 'UsersController@list')->name('user.api');
    Route::group(['prefix' => 'acl'], function () {
        Route::get('/', 'RoleController@index')
            ->name('access');
        Route::resource('role', 'RoleController');
        Route::get('show/permission/role', 'RoleController@rolePermission')->name('role.permisiion');
        Route::post('show/permission/role/set', 'RoleController@setRolePermission')->name('role.permisiion.set');
        Route::post('api/role', 'RoleController@roleList')->name('api.role');
        Route::resource('permission', 'PermissionController');
        Route::post('api/permission', 'PermissionController@permissionList')->name('api.permission');
    });
});
Route::get('lang/{language}', 'LocalizationController@switch')->name('localization.switch');
// Route::group(['middleware' => ['Login'], 'prefix' => 'admin'], function () {
// });
Route::group(['middleware' => ['Login'], 'prefix' => 'layanan'], function () {
    Route::resource('pembayaran', 'PembayaranController');
    Route::get('full/pembayaran', 'PembayaranController@full')->name('full');
    Route::get('donlot/bukti/', 'PembayaranController@donlot')->name('donlot.bukti');
    Route::get('proses/bayar/{id}', 'PembayaranController@proses')->name('proses.bayar');
    Route::post('proses/bayar/{id}', 'PembayaranController@proses')->name('proses.bayar');
    Route::post('api/pembayaran', 'PembayaranController@listData')->name('api.pembayaran');
    Route::post('api/tagihan/pembayaran', 'PembayaranController@tagihan')->name('api.tagihan.pembayaran');
    Route::get('tagihan/pembayaran', 'PembayaranController@tagihanKu')->name('tagihan.tagihanKu');
    Route::get('detil/biaya', 'PembayaranController@detilBiaya')->name('detil.tagihanKu');
    Route::post('hapus/pembayaran', 'PembayaranController@hapus')->name('hapus.pembayaran');
    Route::post('api/histori', 'HistoryController@dataList')->name('api.histori');
    Route::get('histori', 'HistoryController@index')->name('histori.pembayaran');
    Route::get('kirim/bukti', 'HistoryController@kirim')->name('kirim.bukti');
    Route::post('kirim/bukti', 'HistoryController@kirim')->name('kirim.bukti');
    Route::get('rincian/biaya', 'HistoryController@rincian')->name('rincian.user');
    Route::get('sgs', 'SGSController@index')->name('sgs');
    Route::post('sgs', 'SGSController@listData')->name('sgs.api');
    Route::get('teman', 'TemanController@index')->name('teman');
    Route::post('api/teman/sekampung', 'TemanController@sekampung')->name('teman.sekampung');
    Route::post('api/teman/seangkatan', 'TemanController@seangkatan')->name('teman.seangkatan');
    Route::post('api/teman/sejurusan', 'TemanController@sejurusan')->name('teman.sejurusan');
});
Route::group(['middleware' => ['Petugas'], 'prefix' => 'sistem'], function () {
    Route::resource('pengguna', 'PenggunaController');
    Route::post('api/pengguna', 'PenggunaController@listData')->name('api.pengguna');
    Route::get('rekap-pembayaran', 'PembayaranMhsController@index')->name('rekap.pembayaran');
    Route::get('/rekap/detil/{nim}', 'PembayaranMhsController@detail')->name('detil.pembayaran');
    Route::post('api/rekap-pembayaran', 'PembayaranMhsController@dataList')->name('api.rekap.pembayaran');
});
Route::get('reload/capta', function () {
    return response()->json(['captcha' => captcha_img()]);
})->name('reload.ca');
Route::group(['middleware' => ['Petugas'], 'prefix' => 'ujian'], function () {
    Route::resource('peserta', 'PesertaController');
    Route::get('export/peserta', 'PesertaController@export')->name('export.peserta');
    Route::post('api/peserta', 'PesertaController@dataList')->name('api.peserta');
    Route::get('template/peserta', 'PesertaController@template')->name('template');
    Route::get('template/upload', 'PesertaController@upload')->name('template.upload');
    Route::post('template/upload', 'PesertaController@upload')->name('template.upload');
    Route::post('kosongkan/peserta', 'PesertaController@pesertaDelete')->name('destoyed.peserta');
    Route::get('mahasiswa', function (Request $req) {
        if (!empty($req->has('q'))) {
            $cari = $req->q;
            $data = DB::table('_mahasiswa')->where('nama', 'LIKE', '%' . $cari . '%')->limit(100)
                ->orderBy('nama', 'ASC')->get();
            return response()->json($data);
        } else {
            $data = DB::table('_mahasiswa')->orderBy('nama', 'ASC')->limit(100)->get();
            return response()->json($data);
        }
    })->name('all.mhs');
    Route::get('mhs/info', function (Request $req) {
        $data = DB::table('_mahasiswa')->where('nim', request()->nim)->first();
        return response()->json(['nim' => $data->nim, 'idp' => $data->idp, 'nama' => $data->nama]);
    })->name('mhs.info');
    Route::resource('data-ujian', 'DataUjianController');
    Route::post('api/list/ujian', 'DataUjianController@dataList')->name('list.ujian');
    Route::resource('jadwal', 'JadwalUjianController');
    Route::post('api/list/jadwal-ujian', 'JadwalUjianController@dataList')->name('jadwal.list.ujian');
    Route::get('template/jadwal', 'JadwalUjianController@template')->name('template.jadwal');
    Route::post('template/jadwal/upload', 'JadwalUjianController@upload')->name('template.ujian.upload');
    Route::get('template/jadwal/upload', 'JadwalUjianController@upload')->name('template.ujian.upload');
    Route::post('kosongkan/jadwal/ujian', 'JadwalUjianController@hapus')->name('destoyed.jadwal');
    Route::resource('soal', 'SoalUjianController');
    Route::post('api/soal', 'SoalUjianController@dataList')->name('list.soal');
    Route::get('jawaban-mhs', 'JawabanController@index')->name('jawaban.mhs');
    Route::post('api/jawaban-mhs', 'JawabanController@dataList')->name('list.jawaban.mhs');
    Route::get('data/soal', 'JawabanController@soal')->name('und.soal');
    Route::get('data/jwb', 'JawabanController@jawaban')->name('und.jawaban');
});
// Route::group(['middleware' => ['Login'], 'prefix' => 'dashboard'], function () {
//     Route::get('ujian', 'SoalMhsController@index')->name('soal.mhs');
//     Route::post('token/ujian', 'SoalMhsController@cekToken')->name('cekToken.soal.mhs');
//     Route::get('soal/ujian/{token}/{jadwal}', 'SoalMhsController@soal')->name('soal.untuk.siswa');
//     Route::post('upload/file/ujian/', 'SoalMhsController@uplod')->name('soal.file.siswa');
//     Route::get('upload/file/ujian', 'SoalMhsController@uploadSoal')->name('soal.xx.siswa');
// });

resources/views/pembayaran/create.blade.php
<div class="modal-header">
    <h5 class="modal-title" id="myExtraLargeModalLabel">Form</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">×</span>
    </button>
</div>
<form method="POST" id="form_data">
    <div class="modal-body">
        <div class="form-row mb-4">
            <div class="form-group col-md-6">
                <label for="inputEmail4">{{trans('Buti Trasnfer')}}</label>
                <input type="file" class="form-control-rounded form-control" name="foto">
                <span style="color: red">Max 600kb. format PNG,JPG,JPEG</span>
            </div>

            <div class="form-group col-md-12">
                <label for="inputPassword4">Jumlah Bayar</label>
                <input type="text" name="jumlah" class="form-control-rounded form-control"
                    onkeypress="return angka(event)">
            </div>
            <div class="form-group col-md-12">
                <label for="inputPassword4">Keterangan</label>
                <textarea type="text" class="form-control-rounded form-control" id="inputPassword4"
                    placeholder="Keterangan" name="keterangan"></textarea>
            </div>

        </div>

        <div class="modal-footer">
            <button type="button" class="btn btn-dark btn-rounded mt-3 mb-3" data-dismiss="modal">Close</button>
            <button type="submit" id="submit" class="btn btn-primary btn-rounded mt-3 mb-3">Submit</button>
            <button class="btn btn-primary btn-rounded mt-3 mb-3" id="loading" disabled>
                <span class="spinner-border spinner-border-sm"></span>Loading
            </button>
        </div>
    </div>
</form>
<script>
    $(".select2").select2({
    placeholder: "Pilih",
    allowClear: true
    });
    $("#loading").hide();
    $("#submit").show();
    $("#form_data").submit(function (e) {
        e.preventDefault();
        $("#submit").hide();
        $("#loading").show();
       
        //var form=$("#form_data").serialize();
        var form = new FormData(this);
       $.ajax({
           type: "POST",
           url: "{{route('pembayaran.store')}}",
           data: form,
          cache: false,
        contentType: false,
        processData: false,
           success: function (response) {
            if (response.status!="error") {
                $('#myModal').modal('hide');
                Toast.fire({
                icon: 'success',
                title: response.msg
                });
                myTable.ajax.reload();
            } else {
                Swal.fire({
                position: 'top-end',
                icon: 'error',
                title: response.msg,
                showConfirmButton: false,
                showCloseButton:true
                })
                $("#loading").hide();
                $("#submit").show();
            }
           },
           error:function(response)
           {
            Swal.fire({
                position: 'top-end',
                icon: 'error',
                title: response.msg,
                showConfirmButton: false,
                showCloseButton:true
                })
           }
       });
    });
</script>

resources/views/pembayaran/detilBiaya.blade.php
<div class="modal-header">
    <h5 class="modal-title" id="myExtraLargeModalLabel">Rincian Biaya</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">×</span>
    </button>
</div>
<div>
    <div class="modal-body">

        <div class="table-responsive">
            <h3>Biaya - Biaya</h3>
            <table class="table table-bordered mb-4">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Nama</th>
                        <th>Harga</th>
                        <th>Potongan %</th>
                        <th class="text-center">Potongan Rp</th>
                        <th class="text-center">Total</th>

                    </tr>
                </thead>
                <tbody>
                    <tr>
                        @php
                        $no=1;
                        $totalBiaya=0;
                        @endphp
                        @forelse ($data as $key)
                        <td>{{ $no++ }}</td>
                        <td>{{ $key->rekening }}</td>
                        <td>{{ number_format($key->harga) }}</td>
                        <td>{{ $key->pot_persen }} %</td>
                        <td>{{ number_format($key->pot_total) }}</td>
                        <td>{{ number_format($key->jumlah_biaya) }}</td>
                    </tr>
                    @php
                    $totalBiaya+=$key->jumlah_biaya;
                    @endphp
                    @empty

                    @endforelse
                </tbody>
                <tfoot>
                    <tr>

                        <td colspan="4"> </td>
                        <td colspan="">Total : </td>
                        <td colspan=""><b>{{ number_format($totalBiaya) }} </b></td>
                    </tr>

                </tfoot>
            </table>
            <h3>Transaksi Pembayaran</h3>
            <table class="table table-bordered mb-4">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Kwitansi</th>
                        <th>Nama</th>
                        <th>Harga</th>
                        <th>Potongan %</th>
                        <th class="text-center">Potongan Rp</th>
                        <th class="text-center">Total Bayar</th>
                        <th class="text-center">Petugas</th>
                        <th>Tanggal</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        @php
                        $no=1;
                        $total=0;
                        $harga=0;
                        $pot=0;
                        $pot1=0;

                        @endphp
                        @forelse ($histori as $key)
                        <td>{{ $no++ }}</td>
                        <td>{{ $key->no_kwitansi }}</td>
                        <td>{{ $key->rekening }}</td>
                        <td>{{ number_format($key->harga) }}</td>
                        <td>{{ $key->pot_persen }} %</td>
                        <td>{{ number_format($key->potongan) }}</td>
                        <td>{{ number_format($key->jumlah) }} - {{ $key->bank }}</td>
                        <td>{{ $key->nama }}</td>
                        <td>{{ tgl_indo($key->tgl_trans_bank) }}</td>
                    </tr>
                    @php
                    $harga+=$key->harga;
                    $pot+=$key->pot_persen;
                    $pot1+=$key->potongan;
                    $total+=$key->jumlah;
                    @endphp
                    @empty

                    @endforelse
                </tbody>
                <tfoot>
                    <tr>

                        <td colspan="2"> </td>
                        <td colspan="">Total : </td>
                        <td colspan=""><b>{{ number_format($harga) }} </b></td>
                        <td colspan="">-</td>
                        <td colspan=""><b>{{ number_format($pot1) }} </b></td>
                        <td colspan=""><b>{{ number_format($total) }} </b></td>
                        <td></td>
                        <td></td>
                    </tr>
                    <tr>
                        <td colspan="2"></td>
                        <td>Sisa Tagihan :</td>
                        <td><b>{{ number_format($totalBiaya-$total) }}</b></td>
                        <td colspan="5"></td>
                    </tr>
                </tfoot>

            </table>

        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-dark btn-rounded mt-3 mb-3" data-dismiss="modal">Close</button>

        </div>
    </div>
</div>

resources/views/pembayaran/edit.blade.php
<div class="modal-header">
    <h5 class="modal-title" id="myExtraLargeModalLabel">Form</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">×</span>
    </button>
</div>
<form method="POST" id="form_data">
    <div class="modal-body">
        <div class="form-row mb-4">

            <div class="form-group col-md-6">
                <label for="inputEmail4">Keterangan</label>
                <textarea type="text" class="form-control-rounded form-control" name="ket" required></textarea>
            </div>


            <div class="form-group col-md-6">
                <label for="inputPassword4">Status</label>
                <select name="status" class="select2 form-control-rounded form-control">
                    <option value="Proses" {{$data->status=="Proses"?"selected":""}}>Proses</option>
                    <option value="Selesai" {{$data->status=="Selesai"?"selected":""}}>Selesai</option>
                    <option value="Dikembalikan" {{$data->status=="Dikembalikan"?"selected":""}}>Dikembalikan</option>

                </select>
            </div>
        </div>

        <div class="modal-footer">
            <button type="button" class="btn btn-dark btn-rounded mt-3 mb-3" data-dismiss="modal">Close</button>
            <button type="submit" id="submit" class="btn btn-primary btn-rounded mt-3 mb-3">Update</button>
            <button class="btn btn-primary btn-rounded mt-3 mb-3" id="loading" disabled>
                <span class="spinner-border spinner-border-sm"></span>Loading
            </button>
        </div>
    </div>
</form>
<script>
    $(".select2").select2({
    placeholder: "Pilih",
    allowClear: true
    });
    $("#loading").hide();
    $("#form_data").submit(function (e) {
        e.preventDefault();
      $("#loading").hide();
    $("#submit").show();
        var form=$("#form_data").serialize();
       $.ajax({
           type: "POST",
           method:"PUT",
           url: "{{route('pembayaran.update',[$data->id])}}",
           data: form,
           dataType: "JSON",
           success: function (response) {
            if (response.status!="error") {
                $('#myModal').modal('hide')
               Toast.fire({
                icon: 'success',
                title: response.msg
                });
                myTable.ajax.reload();

            } else {
                Swal.fire({
                position: 'top-end',
                icon: 'error',
                title: response.msg,
                showConfirmButton: false,
                showCloseButton:true
                })
                $("#loading").hide();
                $("#submit").show();
            }
           },
           error:function(response)
           {
            Swal.fire({
                position: 'top-end',
                icon: 'error',
                title: response.msg,
                showConfirmButton: false,
                showCloseButton:true
                })
           }
       });
    });
</script>

resources/views/pembayaran/filter.blade.php
<div class="modal-header">
    <h5 class="modal-title" id="myExtraLargeModalLabel">Form</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">×</span>
    </button>
</div>
<form method="POST" id="form_data">
    <div class="modal-body">
        <div class="form-row mb-4">
            <div class="form-group col-md-6" data-role="datepicker">
                <label for="inputEmail4">{{trans('Buti Trasnfer')}}</label>
                <input type="text" class="form-control-rounded form-control" name="foto">
                <span style="color: red">Max 600kb. format PNG,JPG,JPEG</span>
            </div>

            <div class="form-group col-md-12">
                <label for="inputPassword4">Keterangan</label>
                <textarea type="text" class="form-control-rounded form-control" id="inputPassword4"
                    placeholder="Keterangan" name="ket"></textarea>
            </div>

        </div>

        <div class="modal-footer">
            <button type="button" class="btn btn-dark btn-rounded mt-3 mb-3" data-dismiss="modal">Close</button>
            <button type="submit" class="btn btn-primary btn-rounded mt-3 mb-3">Submit</button>
        </div>
    </div>
</form>
<script>
    $(".select2").select2({
    placeholder: "Pilih",
    allowClear: true
    });

    $("#form_data").submit(function (e) {
        e.preventDefault();
       $('#myModal').modal('hide')
        //var form=$("#form_data").serialize();
        var form = new FormData(this);
       $.ajax({
           type: "POST",
           url: "{{route('pembayaran.store')}}",
           data: form,
          cache: false,
        contentType: false,
        processData: false,
           success: function (response) {
            if (response.status!="error") {
                Toast.fire({
                icon: 'success',
                title: response.msg
                });
                myTable.ajax.reload();
            } else {
                Swal.fire({
                position: 'top-end',
                icon: 'error',
                title: response.msg,
                showConfirmButton: false,
                showCloseButton:true
                })
            }
           },
           error:function(response)
           {
            Swal.fire({
                position: 'top-end',
                icon: 'error',
                title: response.msg,
                showConfirmButton: false,
                showCloseButton:true
                })
           }
       });
    });
</script>

resources/views/pembayaran/full.blade.php
 
 <style>
     .container-fluid {
    position: relative;
	padding-bottom: 56.25%; /* 16:9 */
	padding-top: 25px;
	height: 0;
}

/* Then style the iframe to fit in the container div with full height and width */
.container-fluid iframe{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}
 </style>
                <div class="modal-header">
                        <h5 class="modal-title">Sedang Perbaikan</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                    </div>
            <div class="modal-body">
                <div class="container-fluid">
                    <iframe src="https://giphy.com/embed/Sk3KytuxDQJQ4"   frameBorder="0" class="giphy-embed" allowFullScreen></iframe>
                    <div class="row">
                        <div class="col-md-6">
                            <p> Sedang Proses Pemeliharan ya
                            </p>
                        </div>
                    </div>
                    
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
             </div>
        

resources/views/pembayaran/index.blade.php
@extends('layouts.master')
@section('title', trans('Pembayaran'))
@section('parentPageTitle', 'Layanan')
@section('css')
<link rel="stylesheet" type="text/css" href="{{asset('plugins/table/datatable/datatables.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('plugins/table/datatable/custom_dt_customer.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('plugins/select2/select2.min.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('box/jquery.fancybox.min.css')}}">
<link href="{{ asset('assets/css/design-css/design.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('plugins/date_time_pickers/bootstrap-datetimepicker/bootstrap-datetimepicker.min.css') }}"
    rel="stylesheet" type="text/css">
<link href="{{ asset('plugins/timepicker/jquery.timepicker.css') }}" rel="stylesheet" type="text/css">
<link href="{{ asset('plugins/date_time_pickers/custom_datetimepicker_style/custom_datetimepicker.css') }}"
    rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="{{ asset('assets/css/components/custom-page_style_datetime.css') }}">
@endsection
@section('content')

<div class="row layout-spacing">
    <div class="col-lg-12">
        <div class="statbox widget box box-shadow">
            <div class="widget-header">
                <br>
                <div class="row">
                    <div class="col-md-5 col-sm-5 mb-4 mb-sm-0">
                        <h6 class="mt-3 mb-0"> </h6>
                    </div>
                    <div class="col-md-7 col-sm-7 text-sm-right">


                        {{-- <a href="{{route('full')}}" data-toggle="modal" data-target="#myModal"
                        class="btn btn-warning mb-4 mr-2 btn-rounded">{{trans('Entri Baru')}} <i
                            class="flaticon-circle-plus ml-1"></i></a> --}}
                        <a href="{{route('pembayaran.create')}}" data-toggle="modal" data-target="#myModal"
                            class="btn btn-warning mb-4 mr-2 btn-rounded">{{trans('Entri Baru')}} <i
                                class="flaticon-circle-plus ml-1"></i></a>

                    </div>

                </div>
                <div class="widget-content widget-content-area">
                    <div class="table-responsive mb-4 style-1">

                        <table id="userss" class="table style-1  table-bordered table-hover">
                            <thead>
                                <tr>
                                    <th> No </th>
                                    <th> Nama </th>
                                    <th>{{trans('Tanggal')}}</th>
                                    <th>{{trans('Bukti')}}</th>
                                    <th>{{trans('Keterangan')}}</th>
                                    <th>Status</th>
                                    <th class="text-center">Action</th>
                                </tr>
                            </thead>

                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @endsection
    @section('js')
    <script src="{{asset('plugins/table/datatable/datatables.js')}}"></script>
    <script src="{{asset('plugins/select2/select2.min.js')}}"></script>
    <script src="{{asset('box/jquery.fancybox.min.js')}}"></script>
    <script src="{{ asset('assets/js/design-js/design.js') }}">
    </script>
    <script src="{{ asset('plugins/date_time_pickers/bootstrap_date_range_picker/moment.min.js') }}"></script>
    <script src="{{ asset('plugins/date_time_pickers/bootstrap_date_range_picker/daterangepicker.js') }}"></script>
    <script src="{{ asset('plugins/timepicker/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('plugins/date_time_pickers/bootstrap-datetimepicker/bootstrap-datetimepicker.min.js') }}">
    </script>
    @endsection
    @section('modal')


    <div class="modal hide fade animated zoomInUp custo-zoomInUp" role="dialog" aria-labelledby="myExtraLargeModalLabel"
        aria-hidden="true" id="myModal">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content">
            </div>
        </div>
    </div>


    @endsection
    @section('script')
    <script type="text/javascript">
        $("#myModal").on("show.bs.modal", function(e) {
        var link = $(e.relatedTarget);
        $(this).find(".modal-content").load(link.attr("href"));
    });
    // $(".select2").select2({
    //     placeholder: 'Cari',
    //     allowClear: true
    // });

var myTable=$('#userss').DataTable({
        processing: true,
        serverSide: true,
        pageLength:5,
        ordering:false,
       // lengthMenu:[[5,10,15,20,50,100],[5,10,15,20,50,100]],
        lengthMenu: [ 5, 10, 20, 50, 100 ],
        language: {
                paginate: {
                  previous: "<i class='flaticon-arrow-left-1'></i>",
                  next: "<i class='flaticon-arrow-right'></i>"
                },
                //info: "Showing page _PAGE_ of _PAGES_"
            },
        ajax: {
            url: '{{route("api.pembayaran")}}',
            method: 'POST',
           
        },
        columns: [
            {data: 'DT_RowIndex', orderable: false, searchable: false},
            {data: 'nama', name: 'tb_pengguna.nama'},
            {data: 'tgl', name: 'tb_buktitrf.tgl',searchable: false},
            {data: 'foto', name: 'tb_buktitrf.foto',searchable: false},
            {data: 'ket', name: 'tb_buktitrf.ket',searchable: false},
            {data: 'status', name: 'tb_buktitrf.status'},          
            {data: 'action', name: 'action',orderable: false, searchable: false}
        ],
   
    });
    
function hapus(id){

    swalWithBootstrapButtons.fire({
    title: 'Are you sure?',
    text: "You won't be able to revert this!",
    icon: 'warning',
    showCancelButton: true,
    confirmButtonText: 'Yes, delete it!',
    cancelButtonText: 'No, cancel!',
    reverseButtons: true,
    showLoaderOnConfirm: true,
     
    }).then((result) => {
      
  if (result.value) {
      swal.fire({
        title: "Loading...",
        text: "Please wait",
        imageUrl: "{{ asset("loading_bar.gif") }}",
        button: false,
        closeOnClickOutside: false,
        closeOnEsc: false,
        showCloseButton: false,
        showConfirmButton: false
    });
      $.ajax({
          type: "POST",          
          url: "{{ route("hapus.pembayaran") }}",
          data: {id:id},
          dataType: "JSON",
          success: function (response) {
              if (response.status!='error') {
                  swalWithBootstrapButtons.fire(
                'Deleted!',
                'Your file has been deleted.',
                'success',
                ''
                );
                Toast.fire({
                icon: 'success',
                title: response.msg,
                });
                myTable.ajax.reload();
              } else {

              }
          }
      });
  } else if (
    /* Read more about handling dismissals below */
    result.dismiss === Swal.DismissReason.cancel
  ) {
    swalWithBootstrapButtons.fire(
      'Cancelled',
      'Your imaginary User is safe :)',
      'error'
    );
  }
})

 }
 function unduh(id)
 {
     swal.fire({
        title: "Loading...",
        text: "Please wait Token is"+' '+btoa(id),
        imageUrl: "{{ asset("loading_bar.gif") }}",
        timerProgressBar: true,
        showCloseButton: false,
        showConfirmButton: false
        });
        $.ajax({
            type: "GET",
            url: "{{ route('donlot.bukti') }}",
            data: {token:btoa(id)},
            dataType: "JSON",
            success: function (response) {
                var url="{{ url('layanan/donlot/bukti?token=') }}"+btoa(id);
                 if (response.status=='success') {                    
                    window.location.replace(url);
                   Swal.close()
                 }else{
                     Swal.fire({
                    title: 'Error!',
                    text: response.msg,
                    icon: 'error',
                    confirmButtonText: 'close'
                    })
                 }
                
            }
        });
    
 }
    $('[data-fancybox]').fancybox({
   afterLoad: function(current) {
           if (current.index === current.group.length - 1) {
               current.arrows = false;
           }
      }
    });
    
    </script>
    @endsection